
# Arduino: framework for [PlatformIO](https://platformio.org)

Arduino Wiring-based Framework allows writing cross-platform software to control devices attached to a wide range of Arduino boards to create all kinds of creative coding, interactive objects, spaces or physical experiences.

* [Home](https://platformio.org/frameworks/arduino) (home page in PlatformIO Registry)
* [Documentation](https://docs.platformio.org/page/frameworks/arduino.html)

# Examples

- [Atmel AVR](https://github.com/platformio/platform-atmelavr)
  * [arduino-blink](https://github.com/platformio/platform-atmelavr/tree/master/examples/arduino-blink)
  * [simba-blink](https://github.com/platformio/platform-atmelavr/tree/master/examples/simba-blink)
  * [native-blink](https://github.com/platformio/platform-atmelavr/tree/master/examples/native-blink)
  * [arduino-own-src_dir](https://github.com/platformio/platform-atmelavr/tree/master/examples/arduino-own-src_dir)
  * [engduino-magnetometer](https://github.com/platformio/platform-atmelavr/tree/master/examples/engduino-magnetometer)
  * [digitstump-mouse](https://github.com/platformio/platform-atmelavr/tree/master/examples/digitstump-mouse)
  * [arduino-internal-libs](https://github.com/platformio/platform-atmelavr/tree/master/examples/arduino-internal-libs)
  * [arduino-external-libs](https://github.com/platformio/platform-atmelavr/tree/master/examples/arduino-external-libs)

- [Atmel megaAVR](https://github.com/platformio/platform-atmelmegaavr)
  * [arduino-blink](https://github.com/platformio/platform-atmelmegaavr/tree/master/examples/arduino-blink)
  * [native-blink](https://github.com/platformio/platform-atmelmegaavr/tree/master/examples/native-blink)
  * [arduino-internal-libs](https://github.com/platformio/platform-atmelmegaavr/tree/master/examples/arduino-internal-libs)
  * [arduino-external-libs](https://github.com/platformio/platform-atmelmegaavr/tree/master/examples/arduino-external-libs)

- [Atmel SAM](https://github.com/platformio/platform-atmelsam)
  * [mbed-blink](https://github.com/platformio/platform-atmelsam/tree/master/examples/mbed-blink)
  * [mbed-serial](https://github.com/platformio/platform-atmelsam/tree/master/examples/mbed-serial)
  * [zephyr-blink](https://github.com/platformio/platform-atmelsam/tree/master/examples/zephyr-blink)
  * [zephyr-drivers-i2c-scanner](https://github.com/platformio/platform-atmelsam/tree/master/examples/zephyr-drivers-i2c-scanner)
  * [zephyr-subsys-logger](https://github.com/platformio/platform-atmelsam/tree/master/examples/zephyr-subsys-logger)
  * [mbed-events](https://github.com/platformio/platform-atmelsam/tree/master/examples/mbed-events)
  * [arduino-blink](https://github.com/platformio/platform-atmelsam/tree/master/examples/arduino-blink)
  * [simba-blink](https://github.com/platformio/platform-atmelsam/tree/master/examples/simba-blink)
  * [arduino-internal-libs](https://github.com/platformio/platform-atmelsam/tree/master/examples/arduino-internal-libs)
  * [arduino-external-libs](https://github.com/platformio/platform-atmelsam/tree/master/examples/arduino-external-libs)
  * [mbed-dsp](https://github.com/platformio/platform-atmelsam/tree/master/examples/mbed-dsp)
  * [arduino-web-thing-led](https://github.com/platformio/platform-atmelsam/tree/master/examples/arduino-web-thing-led)

- [Espressif 32](https://github.com/platformio/platform-espressif32)
  * [espidf-storage-sdcard](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-storage-sdcard)
  * [espidf-blink](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-blink)
  * [espidf-coap-server](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-coap-server)
  * [espidf-exceptions](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-exceptions)
  * [arduino-blink](https://github.com/platformio/platform-espressif32/tree/master/examples/arduino-blink)
  * [simba-blink](https://github.com/platformio/platform-espressif32/tree/master/examples/simba-blink)
  * [espidf-ulp-adc](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-ulp-adc)
  * [espidf-ulp-pulse](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-ulp-pulse)
  * [espidf-arduino-wifiscan](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-arduino-wifiscan)
  * [espidf-http-request](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-http-request)
  * [espidf-arduino-blink](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-arduino-blink)
  * [pumbaa-blink](https://github.com/platformio/platform-espressif32/tree/master/examples/pumbaa-blink)
  * [espidf-hello-world](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-hello-world)
  * [espidf-ble-adv](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-ble-adv)
  * [espidf-aws-iot](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-aws-iot)
  * [espidf-peripherals-uart](https://github.com/platformio/platform-espressif32/tree/master/examples/espidf-peripherals-uart)
  * [arduino-wifiscan](https://github.com/platformio/platform-espressif32/tree/master/examples/arduino-wifiscan)

- [Espressif 8266](https://github.com/platformio/platform-espressif8266)
  * [arduino-webserver](https://github.com/platformio/platform-espressif8266/tree/master/examples/arduino-webserver)
  * [arduino-asyncudp](https://github.com/platformio/platform-espressif8266/tree/master/examples/arduino-asyncudp)
  * [arduino-blink](https://github.com/platformio/platform-espressif8266/tree/master/examples/arduino-blink)
  * [simba-blink](https://github.com/platformio/platform-espressif8266/tree/master/examples/simba-blink)
  * [esp8266-rtos-sdk-blink](https://github.com/platformio/platform-espressif8266/tree/master/examples/esp8266-rtos-sdk-blink)
  * [esp8266-nonos-sdk-blink](https://github.com/platformio/platform-espressif8266/tree/master/examples/esp8266-nonos-sdk-blink)
  * [arduino-wifiscan](https://github.com/platformio/platform-espressif8266/tree/master/examples/arduino-wifiscan)

- [GigaDevice GD32V](https://github.com/sipeed/platform-gd32v)
  * [eval-blink](https://github.com/sipeed/platform-gd32v/tree/master/examples/eval-blink)
  * [arduino-blink](https://github.com/sipeed/platform-gd32v/tree/master/examples/arduino-blink)
  * [longan-nano-blink](https://github.com/sipeed/platform-gd32v/tree/master/examples/longan-nano-blink)

- [Infineon XMC](https://github.com/Infineon/platformio-infineonxmc)
  * [ifx9201](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/ifx9201)
  * [device-control](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/device-control)
  * [arduino-blink](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/arduino-blink)
  * [spi](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/spi)
  * [ultrasonic](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/ultrasonic)
  * [rtc](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/rtc)
  * [radar](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/radar)
  * [arduino-wire](https://github.com/Infineon/platformio-infineonxmc/tree/master/examples/arduino-wire)

- [Intel ARC32](https://github.com/platformio/platform-intel_arc32)
  * [arduino-curie-imu](https://github.com/platformio/platform-intel_arc32/tree/master/examples/arduino-curie-imu)
  * [arduino-blink](https://github.com/platformio/platform-intel_arc32/tree/master/examples/arduino-blink)
  * [arduino-internal-libs](https://github.com/platformio/platform-intel_arc32/tree/master/examples/arduino-internal-libs)

- [Kendryte K210](https://github.com/sipeed/platform-kendryte210)
  * [arduino-blink](https://github.com/sipeed/platform-kendryte210/tree/master/examples/arduino-blink)
  * [kendryte-standalone-sdk_hello](https://github.com/sipeed/platform-kendryte210/tree/master/examples/kendryte-standalone-sdk_hello)
  * [kendryte-freertos-sdk_hello](https://github.com/sipeed/platform-kendryte210/tree/master/examples/kendryte-freertos-sdk_hello)

- [Microchip PIC32](https://github.com/platformio/platform-microchippic32)
  * [arduino-blink](https://github.com/platformio/platform-microchippic32/tree/master/examples/arduino-blink)
  * [arduino-internal-libs](https://github.com/platformio/platform-microchippic32/tree/master/examples/arduino-internal-libs)

- [Nordic nRF51](https://github.com/platformio/platform-nordicnrf51)
  * [mbed-blink](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/mbed-blink)
  * [mbed-serial](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/mbed-serial)
  * [zephyr-blink](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/zephyr-blink)
  * [mbed-events](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/mbed-events)
  * [arduino-blink](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/arduino-blink)
  * [arduino-ble-led](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/arduino-ble-led)
  * [zephyr-ble-eddystone](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/zephyr-ble-eddystone)
  * [arduino-internal-libs](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/arduino-internal-libs)
  * [zephyr-drivers-entropy](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/zephyr-drivers-entropy)
  * [mbed-ble-thermometer](https://github.com/platformio/platform-nordicnrf51/tree/master/examples/mbed-ble-thermometer)

- [Nordic nRF52](https://github.com/platformio/platform-nordicnrf52)
  * [mbed-blink](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/mbed-blink)
  * [mbed-serial](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/mbed-serial)
  * [zephyr-blink](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/zephyr-blink)
  * [mbed-rtos](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/mbed-rtos)
  * [mbed-events](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/mbed-events)
  * [arduino-blink](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/arduino-blink)
  * [arduino-ble-led](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/arduino-ble-led)
  * [zephyr-ble-beacon](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/zephyr-ble-beacon)
  * [mbed-nfc](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/mbed-nfc)
  * [zephyr-subsys-nvs](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/zephyr-subsys-nvs)
  * [mbed-dsp](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/mbed-dsp)
  * [mbed-ble-thermometer](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/mbed-ble-thermometer)
  * [arduino-nina-b1-generic-example](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/arduino-nina-b1-generic-example)
  * [arduino-bluefruit-bleuart](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/arduino-bluefruit-bleuart)
  * [arduino-serial-plotter](https://github.com/platformio/platform-nordicnrf52/tree/master/examples/arduino-serial-plotter)

- [ST STM32](https://github.com/platformio/platform-ststm32)
  * [mbed-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-blink)
  * [mbed-filesystem](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-filesystem)
  * [mbed-serial](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-serial)
  * [zephyr-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/zephyr-blink)
  * [stm32cube-ll-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/stm32cube-ll-blink)
  * [libopencm3-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/libopencm3-blink)
  * [mbed-rtos](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-rtos)
  * [mbed-events](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-events)
  * [mbed-custom-target](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-custom-target)
  * [cmsis-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/cmsis-blink)
  * [arduino-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/arduino-blink)
  * [spl-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/spl-blink)
  * [mbed-rtos-mesh-minimal](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-rtos-mesh-minimal)
  * [arduino-mxchip-sensors](https://github.com/platformio/platform-ststm32/tree/master/examples/arduino-mxchip-sensors)
  * [zephyr-cpp-synchronization](https://github.com/platformio/platform-ststm32/tree/master/examples/zephyr-cpp-synchronization)
  * [zephyr-net-https-client](https://github.com/platformio/platform-ststm32/tree/master/examples/zephyr-net-https-client)
  * [mbed-rtos-ethernet-tls](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-rtos-ethernet-tls)
  * [stm32cube-hal-blink](https://github.com/platformio/platform-ststm32/tree/master/examples/stm32cube-hal-blink)
  * [zephyr-drivers-can](https://github.com/platformio/platform-ststm32/tree/master/examples/zephyr-drivers-can)
  * [arduino-mxchip-azureiot](https://github.com/platformio/platform-ststm32/tree/master/examples/arduino-mxchip-azureiot)
  * [arduino-mxchip-filesystem](https://github.com/platformio/platform-ststm32/tree/master/examples/arduino-mxchip-filesystem)
  * [arduino-internal-libs](https://github.com/platformio/platform-ststm32/tree/master/examples/arduino-internal-libs)
  * [mbed-rtos-ethernet](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-rtos-ethernet)
  * [arduino-external-libs](https://github.com/platformio/platform-ststm32/tree/master/examples/arduino-external-libs)
  * [mbed-rtos-semaphore](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-rtos-semaphore)
  * [mbed-dsp](https://github.com/platformio/platform-ststm32/tree/master/examples/mbed-dsp)
  * [arduino-mxchip-wifiscan](https://github.com/platformio/platform-ststm32/tree/master/examples/arduino-mxchip-wifiscan)
  * [libopencm3-1bitsy](https://github.com/platformio/platform-ststm32/tree/master/examples/libopencm3-1bitsy)
  * [zephyr-subsys-usb-hid-mouse](https://github.com/platformio/platform-ststm32/tree/master/examples/zephyr-subsys-usb-hid-mouse)

- [ST STM8](https://github.com/platformio/platform-ststm8)
  * [spl-blink](https://github.com/platformio/platform-ststm8/tree/master/examples/spl-blink)
  * [arduino-fade-all-pins](https://github.com/platformio/platform-ststm8/tree/master/examples/arduino-fade-all-pins)
  * [spl-uart](https://github.com/platformio/platform-ststm8/tree/master/examples/spl-uart)
  * [spl-flash](https://github.com/platformio/platform-ststm8/tree/master/examples/spl-flash)
  * [arduino-internal-lib](https://github.com/platformio/platform-ststm8/tree/master/examples/arduino-internal-lib)
  * [arduino-ping-hc04](https://github.com/platformio/platform-ststm8/tree/master/examples/arduino-ping-hc04)

- [Teensy](https://github.com/platformio/platform-teensy)
  * [mbed-blink](https://github.com/platformio/platform-teensy/tree/master/examples/mbed-blink)
  * [mbed-serial](https://github.com/platformio/platform-teensy/tree/master/examples/mbed-serial)
  * [mbed-events](https://github.com/platformio/platform-teensy/tree/master/examples/mbed-events)
  * [arduino-blink](https://github.com/platformio/platform-teensy/tree/master/examples/arduino-blink)
  * [arduino-hid-usb-mouse](https://github.com/platformio/platform-teensy/tree/master/examples/arduino-hid-usb-mouse)
  * [arduino-internal-libs](https://github.com/platformio/platform-teensy/tree/master/examples/arduino-internal-libs)
  * [mbed-dsp](https://github.com/platformio/platform-teensy/tree/master/examples/mbed-dsp)

- [TI MSP430](https://github.com/platformio/platform-timsp430)
  * [arduino-blink](https://github.com/platformio/platform-timsp430/tree/master/examples/arduino-blink)
  * [native-blink](https://github.com/platformio/platform-timsp430/tree/master/examples/native-blink)
  * [arduino-internal-libs](https://github.com/platformio/platform-timsp430/tree/master/examples/arduino-internal-libs)

- [TI TIVA](https://github.com/platformio/platform-titiva)
  * [libopencm3-blink](https://github.com/platformio/platform-titiva/tree/master/examples/libopencm3-blink)
  * [arduino-blink](https://github.com/platformio/platform-titiva/tree/master/examples/arduino-blink)
  * [native-blink](https://github.com/platformio/platform-titiva/tree/master/examples/native-blink)
  * [arduino-internal-libs](https://github.com/platformio/platform-titiva/tree/master/examples/arduino-internal-libs)

